MaillyDocs

Write DNS records in one click

POST
/sender-domains/{id}/apply-dns

Writes the DNS records Mailly needs directly into your zone using the Cloudflare token (saved or passed in this request); idempotent, and conflicting records are not overwritten. The body is optional.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

id*string

Domain record ID

Request Body

application/json
  1. body
provider?string

Only cloudflare is supported for now

scope?string

Default all

Value in"outbound""inbound""all"
apiToken?string

Cloudflare token for this request (takes precedence over the saved one)

[key: string]?unknown

Response Body

DNS write result

application/json
  1. response
success*boolean
[key: string]?unknown
curl -X POST 'https://api.mailly.site/sender-domains/string/apply-dns' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "property1": null,  "property2": null}